Package org.apache.tapestry5.beanvalidator.modules

# Class BeanValidatorModule

java.lang.Object
org.apache.tapestry5.beanvalidator.modules.BeanValidatorModule

public class BeanValidatorModule extends Object
Module for JSR-303 services.

Since:
  5.2.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanValidatorModule()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `bind(ServiceBinder binder)`
  `static javax.validation.Validator`
  `buildBeanValidator(javax.validation.ValidatorFactory validatorFactory, PropertyShadowBuilder propertyShadowBuilder)`
  `static javax.validation.ValidatorFactory`
  `buildValidatorFactory(BeanValidatorSource beanValidatorSource, PropertyShadowBuilder propertyShadowBuilder)`
  `static void`
  `contributeBeanValidatorGroupSource(Configuration<Class<?>> configuration)`
  `static void`
  `contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration, ThreadLocale threadLocale)`
  `static void`
  `contributeClientConstraintDescriptorSource(JavaScriptSupport javaScriptSupport, Configuration<ClientConstraintDescriptor> configuration)`
  `static void`
  `contributeServiceOverride(MappedConfiguration<Class<?>,Object> configuration, FieldValidatorDefaultSource source)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BeanValidatorModule

    public BeanValidatorModule()

- ## Method Details

  - ### bind

    public static void bind(ServiceBinder binder)

  - ### contributeServiceOverride

    public static void contributeServiceOverride(MappedConfiguration<Class<?>,Object> configuration, @Local FieldValidatorDefaultSource source)

  - ### buildBeanValidator

    public static javax.validation.Validator buildBeanValidator(javax.validation.ValidatorFactory validatorFactory, PropertyShadowBuilder propertyShadowBuilder)

  - ### buildValidatorFactory

    public static javax.validation.ValidatorFactory buildValidatorFactory(BeanValidatorSource beanValidatorSource, PropertyShadowBuilder propertyShadowBuilder)

  - ### contributeBeanValidatorGroupSource

    public static void contributeBeanValidatorGroupSource(Configuration<Class<?>> configuration)

  - ### contributeBeanValidatorSource

    public static void contributeBeanValidatorSource(OrderedConfiguration<BeanValidatorConfigurer> configuration, ThreadLocale threadLocale)

  - ### contributeClientConstraintDescriptorSource

    public static void contributeClientConstraintDescriptorSource(JavaScriptSupport javaScriptSupport, Configuration<ClientConstraintDescriptor> configuration)